#******************************************************************************
# WordPress - ME
#
# Version : 2.0.11
# Modified : 2005/12/31
# Last Modified : 2008/04/17
# Copyright : WordPress ME Support Project
# URL : http://wpme.sourceforge.jp/
#
# baced on WordPress 2.0
# http://wordpress.org/
#
# Licensed under GNU GPL
# http://www.gnu.org/copyleft/gpl.html
#
# GPL in Japanese
# http://www.gnu.org/licenses/gpl.ja.html
# http://www.opensource.jp/gpl/gpl.ja.html
#
#******************************************************************************

○ リリース概要 ---------------------------------------------------+

2.0 へのメジャーバージョンアップに伴い CVS サーバーに別モジュールを作成。
本家にてマルチリンガル化がかなり進んでいるので日本語環境での使用に特化した
必要最小限度のアレンジを行う。


○ 2005/02/19 -----------------------------------------------------+

# インストールウィザードのローカライズ化

wp-config.php をサーバー上で作成する方法と、
ローカルにて作成後に転送してインストールする際のウィザードを日本語表記に。

wordpress1.5.POT(ja.po)に独自拡張を行い、
ja_EUC.po ja_UTF.po としてローカライズ。

○ 2005/02/20 -----------------------------------------------------+

# Strayhorn の未翻訳部分を言語ファイルに追加して表示テスト

○ 2005/02/24 -----------------------------------------------------+

# メール関数とそれに伴うファイルの修正

レンタルサーバーに UP してインストール完了時やコメント投稿時に送信される
メール内容をひととおりチェック

○ 2005/02/25 -----------------------------------------------------+

# RSS の出力・取り込みのエンコード変換を追加

出力に関しては仮の姿(Content-type、pubDate 等)。取り込みは正規実装のつもり。
Cafelog には WordPress に関係のない記事も書くので、
WPJ にデベロッパーブログを設置して情報を発信してみる

日本の WP ユーザーをサーバーのアクセスログから拾い出してアンテナに登録
負荷が心配なので、とりあえず「はてなアンテナ」で様子を見る

アンテナが落ちているとダッシュボードが表示されなくなるので、
キャッシュを利用するか他のニュース RSS を表示するような回避方法を模索中

○ 2005/02/27 -----------------------------------------------------+

# 初心者向けに readme.html を真面目に書いてみた。

○ 2005/02/28 -----------------------------------------------------+

# ひととおりの動作を確認後、明らかなバグと思われる箇所を修正

wp-rss2.php、upload.php、install.php 等
その後も次々とバグが発見されているが、キリがないので本家が落ち着くまで様子見
(まとめて差分ファイルとして配布したほうがよさそうなので)

# 配布されているテーマ「arzel_xt2」をチョットだけ変更後デフォルトに設定

○ 2005/03/02 -----------------------------------------------------+

# パッケージを Release Candidate としてまとめる

○ 2005/03/16 -----------------------------------------------------+

# フォーラムにて幾つかフィードバックしていただいた点を反映して配布開始
http://phpbb.xwd.jp/viewtopic.php?t=220

# デフォルトテーマを aka さんの「Summer Breeze」にさせていただきました。

○ 2005/04/19 -----------------------------------------------------+

1.5 のバグ報告が落ち着いてきたので、Trac の diff を ME に流し込む。
少し試してみたところ、また Trackback にバグを見つけたので修正。

○ 2005/04/20 -----------------------------------------------------+

IE ではデフォルトテーマのページナビゲーションの float の影響で
ページタイトルがおかしな表示になるので修正してみた。

○ 2005/04/21 -----------------------------------------------------+

RSS 周りを日本ユーザー向けにアレンジ。

○ 2005/04/26 -----------------------------------------------------+

本家にて、やっとインストール周りのローカライズ対応がなされたので、
wpj-wizard.php の内容を変更して仕様を合わす。

wp-admin/setup-config.php に手を加えて、
インストールウィザード中にブログの文字コードを指定できるようにした。

これだけでは意味がないので同時に、
mb_internal_encoding の値と blog_charset の値を置き換えられるようにした。

○ 2005/04/28 -----------------------------------------------------+

インストール後の wp-config.php のパーミッションを 604 へ
その他、初心者向けに設定値を少々変更。

試験的に Shift_JIS エンコードの言語ファイルを同梱。

○ 2005/04/29 -----------------------------------------------------+

デフォルトテーマで言語ファイルを使えるようにしてみた
wp-l10n.php の指定どおり get_template_directory() . "/$locale.mo"; へ

指定した置き換え指示子の場所を無視して表示されてしまう箇所があるため
そこそこの実装で妥協。

# デフォルトテーマを元に「Japan」として実装させていただきました。

○ 2005/05/01 -----------------------------------------------------+

Shift_JIS エンコードだと、
何をやってもダッシュボードに RSS を取り込めないので別のもので迂回
magic_quote が原因かなと思いつつも後回しに。

○ 2005/05/03 -----------------------------------------------------+

通知メールにサーバールートのアドレスが入っているのが気に入らなかったので
管理者向けとユーザー向けに別々の From をキッチリ入れるようにした。
レンタルサーバーに上げてすべてのメール内容を受信して確認。

○ 2005/05/05 -----------------------------------------------------+

正式リリースまでのつなぎとして、1.5.1 - Pre Release として公開。

○ 2005/05/08 -----------------------------------------------------+

Trac Changeset[2572] の適用ミスによるピンの不具合を修正。

○ 2005/05/10 -----------------------------------------------------+

本家にて 1.5.1 がリリースされたので、Pre Release に差分を追加してリリース
# Changeset[2583]-[2596] 適用済み。
# 言語ファイルの未翻訳箇所を追記。

○ 2005/07/16 -----------------------------------------------------+

1.5.1.1 ～ 1.5.1.3 迄の差分ファイルを適用

xmlrpc.php

wp-admin/quicktags.js
wp-admin/post.php

wp-includes/classes.php
wp-includes/functions.php
wp-includes/functions-post.php
wp-includes/pluggable-functions.php
wp-includes/template-functions-category.php
wp-includes/template-functions-general.php
wp-includes/template-functions-links.php
wp-includes/template-functions-post.php
wp-includes/version.php

○ 2005/08/13 -----------------------------------------------------+

register_globals 関連のパッチを適用
wp-settings.php

○ 2005/12/31 -----------------------------------------------------+

v1.5 での対応をほぼそのまま v2.0 に適用してリリース
本家にてかなりの不具合が報告されているため、
その他実装予定のコードは v2.1 に先送り。

○ 2006/02/05 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0 to 2.0.1
wp_db_version 3308 - 3437


wp-links-opml.php
wp-login.php
wp-mail.php
wp-register.php
wp-settings.php
wp-trackback.php
xmlrpc.php


wp-admin/admin-footer.php
wp-admin/admin-functions.php
wp-admin/admin-header.php
wp-admin/admin.php
wp-admin/categories.php
wp-admin/edit-comments.php
wp-admin/edit-form-advanced.php
wp-admin/edit-page-form.php
wp-admin/edit-pages.php
wp-admin/edit.php
wp-admin/execute-pings.php
wp-admin/index.php
wp-admin/inline-uploading.php
wp-admin/install.php
wp-admin/link-add.php
wp-admin/link-categories.php
wp-admin/link-import.php
wp-admin/link-manager.php
wp-admin/list-manipulation.php
wp-admin/moderation.php
wp-admin/options-general.php
wp-admin/options-misc.php
wp-admin/options-permalink.php
wp-admin/options.php
wp-admin/plugins.php
wp-admin/post.php
wp-admin/profile.php
wp-admin/templates.php
wp-admin/themes.php
wp-admin/upgrade-functions.php
wp-admin/upgrade-schema.php
wp-admin/upgrade.php
wp-admin/users.php
wp-admin/wp-admin.css
wp-admin/cat-js.php
wp-admin/xfn.js


wp-admin/import/blogger.php
wp-admin/import/livejournal.php
wp-admin/import/mt.php
wp-admin/import/rss.php
wp-admin/import/textpattern.php 
wp-admin/import/dotclear.php


wp-content/plugins/wp-db-backup.php
wp-content/plugins/akismet.php


wp-content/themes/default/functions.php
wp-content/themes/default/style.css
wp-content/themes/default/images/header-img.php


wp-includes/cache.php
wp-includes/capabilities.php
wp-includes/classes.php
wp-includes/comment-functions.php
wp-includes/functions-compat.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/functions.php
wp-includes/kses.php
wp-includes/pluggable-functions.php
wp-includes/registration-functions.php
wp-includes/template-functions-general.php
wp-includes/template-functions-links.php
wp-includes/template-functions-post.php
wp-includes/template-loader.php
wp-includes/vars.php
wp-includes/version.php
wp-includes/wp-l10n.php


○ 2006/03/11 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.1 to 2.0.2
wp_db_version 3437

wp-comments-post.php
wp-register.php
wp-settings.php

wp-includes/template-functions-general.php
wp-includes/version.php
wp-includes/classes.php
wp-includes/template-functions-links.php
wp-includes/comment-functions.php
wp-includes/functions.php

wp-includes/js/tinymce/tiny_mce_gzip.php
wp-includes/js/tinymce/langs/en.js
wp-includes/js/tinymce/plugins/wordpress/langs/en.js

wp-admin/menu-header.php
wp-admin/list-manipulation.php
wp-admin/admin-header.php
wp-admin/post.php
wp-admin/admin.php
wp-admin/admin-functions.php
wp-admin/user-edit.php
wp-admin/edit-pages.php
wp-admin/import/blogger.php

---- ME Only --------------------------------------

wp-admin/inline-uploading.php
wp-admin/edit-form-ajax-cat.php


○ 2006/06/02 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.2 to 2.0.3
wp_db_version 3440

wp-comments-post.php
wp-login.php

wp-admin/import/mt.php
wp-admin/admin.php
wp-admin/admin-db.php
wp-admin/admin-functions.php
wp-admin/categories.php
wp-admin/cat-js.php
wp-admin/edit.php
wp-admin/edit-comments.php
wp-admin/edit-form-advanced.php
wp-admin/edit-form-ajax-cat.php
wp-admin/edit-form-comment.php
wp-admin/edit-link-form.php
wp-admin/edit-page-form.php
wp-admin/edit-pages.php
wp-admin/inline-uploading.php
wp-admin/link-categories.php
wp-admin/link-import.php
wp-admin/link-manager.php
wp-admin/link-parse-opml.php
wp-admin/list-manipulation.js
wp-admin/list-manipulation.php
wp-admin/moderation.php
wp-admin/options.php
wp-admin/options-discussion.php
wp-admin/options-general.php
wp-admin/options-misc.php
wp-admin/options-permalink.php
wp-admin/options-reading.php
wp-admin/options-writing.php
wp-admin/page-new.php
wp-admin/plugin-editor.php
wp-admin/plugins.php
wp-admin/post.php
wp-admin/profile.php
wp-admin/profile-update.php
wp-admin/templates.php
wp-admin/theme-editor.php
wp-admin/themes.php
wp-admin/upgrade.php
wp-admin/upgrade-schema.php
wp-admin/user-edit.php
wp-admin/users.php

wp-content/plugins/wp-db-backup.php
wp-content/plugins/akismet/akismet.php

wp-includes/js/*
wp-includes/cache.php
wp-includes/capabilities.php
wp-includes/classes.php
wp-includes/class-pop3.php
wp-includes/comment-functions.php
wp-includes/default-filters.php
wp-includes/functions.php
wp-includes/functions-compat.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/kses.php
wp-includes/links.php
wp-includes/pluggable-functions.php
wp-includes/registration-functions.php
wp-includes/template-functions-general.php
wp-includes/template-functions-links.php
wp-includes/vars.php
wp-includes/version.php


○ 2006/07/30 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.3 to 2.0.4
wp_db_version 3440

wp-commentsrss2.php
wp-login.php
wp-pass.php
wp-settings.php
wp-trackback.php
xmlrpc.php

wp-admin/admin-db.php
wp-admin/admin-functions.php
wp-admin/admin.php
wp-admin/categories.php
wp-admin/edit-comments.php
wp-admin/edit-form-advanced.php
wp-admin/edit-form-comment.php
wp-admin/edit-form.php
wp-admin/edit-link-form.php
wp-admin/edit-page-form.php
wp-admin/edit-pages.php
wp-admin/import.php
wp-admin/index.php
wp-admin/inline-uploading.php
wp-admin/link-categories.php
wp-admin/link-manager.php
wp-admin/moderation.php
wp-admin/options.php
wp-admin/plugin-editor.php
wp-admin/plugins.php
wp-admin/post.php
wp-admin/setup-config.php
wp-admin/sidebar.php
wp-admin/templates.php
wp-admin/theme-editor.php
wp-admin/themes.php
wp-admin/update-links.php
wp-admin/upgrade-schema.php
wp-admin/upgrade.php
wp-admin/user-edit.php
wp-admin/users.php
wp-admin/wp-admin.css

wp-includes/class-snoopy.php
wp-includes/classes.php
wp-includes/comment-functions.php
wp-includes/default-filters.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/functions.php
wp-includes/gettext.php
wp-includes/kses.php
wp-includes/pluggable-functions.php
wp-includes/streams.php
wp-includes/template-functions-author.php
wp-includes/template-functions-general.php
wp-includes/vars.php
wp-includes/version.php
wp-includes/wp-db.php

wp-content/plugins/wp-db-backup.php
wp-content/plugins/akismet/akismet.php
wp-content/themes/classic/comments-popup.php
wp-content/themes/default/attachment.php
wp-content/themes/default/comments-popup.php
wp-content/themes/default/footer.php
wp-content/themes/default/functions.php
wp-content/themes/default/header.php
wp-content/themes/default/page.php
wp-content/themes/default/single.php
wp-content/themes/default/style.css
wp-content/themes/EasyAll/comments.php


○ 2006/10/28 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.4 to 2.0.5
wp_db_version 3441

wp-comments-post.php
wp-rss2.php
xmlrpc.php

wp-admin/import/blogger.php
wp-admin/import/dotclear.php
wp-admin/import/greymatter.php
wp-admin/import/livejournal.php
wp-admin/import/mt.php
wp-admin/import/rss.php
wp-admin/import/textpattern.php

wp-admin/admin-db.php
wp-admin/admin-footer.php
wp-admin/admin-functions.php
wp-admin/edit-form-advanced.php
wp-admin/edit-page-form.php
wp-admin/index.php
wp-admin/inline-uploading.php
wp-admin/install.php
wp-admin/link-categories.php
wp-admin/menu.php
wp-admin/options-discussion.php
wp-admin/options-general.php
wp-admin/options-misc.php
wp-admin/options-permalink.php
wp-admin/options.php
wp-admin/page-new.php
wp-admin/plugins.php
wp-admin/post.php
wp-admin/profile.php
wp-admin/templates.php
wp-admin/theme-editor.php
wp-admin/upgrade-schema.php
wp-admin/user-edit.php
wp-admin/users.php
wp-admin/wp-admin.css

wp-content/plugins/wp-db-backup.php
wp-content/plugins/akismet/akismet.php
wp-content/themes/classic/sidebar.php

wp-includes/class-snoopy.php
wp-includes/classes.php
wp-includes/comment-functions.php
wp-includes/default-filters.php
wp-includes/feed-functions.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/functions.php
wp-includes/pluggable-functions.php
wp-includes/template-functions-author.php
wp-includes/template-functions-category.php
wp-includes/template-functions-general.php
wp-includes/template-functions-post.php
wp-includes/version.php
wp-includes/wp-db.php

wp-includes/js/tinymce


○ 2007/1/7 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.5 to 2.0.6
wp_db_version 3441

wp-links-opml.php
wp-login.php
wp-register.php
wp-settings.php
wp-trackback.php


wp-admin/admin-functions.php
wp-admin/bookmarklet.php
wp-admin/categories.php
wp-admin/edit-comments.php
wp-admin/edit-form-advanced.php
wp-admin/edit-link-form.php
wp-admin/edit-page-form.php
wp-admin/edit-pages.php
wp-admin/edit.php
wp-admin/inline-uploading.php
wp-admin/link-categories.php
wp-admin/link-manager.php
wp-admin/moderation.php
wp-admin/options-misc.php
wp-admin/options-permalink.php
wp-admin/options.php
wp-admin/post.php
wp-admin/templates.php
wp-admin/theme-editor.php
wp-admin/upgrade.php
wp-admin/users.php
wp-admin/wp-admin.css

wp-admin/images/box-bg-left.gif
wp-admin/images/box-bg-right.gif
wp-admin/images/box-butt-left.gif
wp-admin/images/box-butt-right.gif
wp-admin/images/box-head-left.gif
wp-admin/images/box-head-right.gif

wp-admin/import/blogger.php


wp-content/plugins/akismet/akismet.php
wp-content/plugins/akismet/akismet.gif

wp-content/themes/classic/comments-popup.php

wp-content/themes/default/comments-popup.php
wp-content/themes/default/searchform.php


wp-includes/languages/ja_EUC.mo
wp-includes/languages/ja_EUC.po
wp-includes/languages/ja_SJIS.mo
wp-includes/languages/ja_SJIS.po
wp-includes/languages/ja_UTF.mo
wp-includes/languages/ja_UTF.po

wp-includes/js/tinymce

wp-includes/cache.php
wp-includes/classes.php
wp-includes/comment-functions.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/functions.php
wp-includes/gettext.php
wp-includes/kses.php
wp-includes/links.php
wp-includes/pluggable-functions.php
wp-includes/template-functions-author.php
wp-includes/template-functions-category.php
wp-includes/template-functions-general.php
wp-includes/template-functions-post.php
wp-includes/version.php
wp-includes/wp-db.php


○ 2007/1/16 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.6 to 2.0.7
wp_db_version 3441

wp-settings.php
wp-admin/inline-uploading.php
wp-admin/post.php
wp-includes/classes.php
wp-includes/functions.php
wp-includes/version.php


○ 2007/2/22 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.7 to 2.0.8
wp_db_version 3441

wp-admin/edit-form-advanced.php
wp-admin/link-categories.php
wp-admin/link-import.php
wp-admin/options-permalink.php
wp-admin/user-edit.php

wp-includes/cache.php
wp-includes/classes.php
wp-includes/functions.php
wp-includes/rss-functions.php
wp-includes/version.php
wp-includes/wp-db.php

wp-includes/js/tinymce

wp-includes/languages/ja_UTF.po
wp-includes/languages/ja_UTF.mo
wp-includes/languages/ja_EUC.po
wp-includes/languages/ja_EUC.mo
wp-includes/languages/ja_SJIS.po
wp-includes/languages/ja_SJIS.mo


○ 2007/2/22 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.8 to 2.0.9
wp_db_version 3441

wp-includes/functions.php
wp-includes/version.php

wp-includes/js/tinymce


○ 2007/4/3 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.9 to 2.0.10
wp_db_version 3441

wp-comments-post.php
wp-login.php
wp-trackback.php
xmlrpc.php

wp-admin/import/dotclear.php
wp-admin/import/livejournal.php
wp-admin/import/mt.php

wp-admin/admin-db.php
wp-admin/admin-functions.php
wp-admin/bookmarklet.php
wp-admin/edit-comments.php
wp-admin/post.php
wp-admin/upgrade.php

wp-includes/js/tinymce

wp-includes/languages/ja_EUC.mo
wp-includes/languages/ja_EUC.po
wp-includes/languages/ja_SJIS.mo
wp-includes/languages/ja_SJIS.po
wp-includes/languages/ja_UTF.mo
wp-includes/languages/ja_UTF.po

wp-includes/classes.php
wp-includes/comment-functions.php
wp-includes/default-filters.php
wp-includes/functions-formatting.php
wp-includes/functions-post.php
wp-includes/functions.php
wp-includes/links.php
wp-includes/pluggable-functions.php
wp-includes/registration-functions.php
wp-includes/template-functions-author.php
wp-includes/template-functions-category.php
wp-includes/template-functions-general.php
wp-includes/template-functions-links.php
wp-includes/version.php

○ 2007/9/10 -----------------------------------------------------+

以下の差分ファイルを適用

Changeset for WordPress ME / 2.0.10 to 2.0.11
wp_db_version 3441

wp-admin/admin-functions.php
wp-admin/edit-form-advanced.php
wp-admin/edit-form-comment.php
wp-admin/edit-form.php
wp-admin/edit-page-form.php
wp-admin/import/dotclear.php
wp-admin/import/greymatter.php
wp-admin/import/livejournal.php
wp-admin/import/mt.php
wp-admin/import/rss.php
wp-admin/import/textpattern.php
wp-admin/link-import.php
wp-admin/options.php
wp-admin/post.php
wp-content/plugins/akismet/akismet.php
wp-content/themes/default/functions.php
wp-includes/functions-formatting.php
wp-includes/functions.php
wp-includes/pluggable-functions.php
wp-includes/version.php
wp-links-opml.php
wp-mail.php
xmlrpc.php

○ 2008-04-17 -----------------------------------------------------+

# バージョン番号修正

バージョン番号は「2.0.11-ME」としました。従来の「ME2.0.11」では海外製
のプラグインと相性が悪いためです。

# リンク先の張り替え

ドキュメント、ソース上の WordPress Japan (http://wordpress.xwd.jp/) 
へのリンクを、新プロジェクト (http://wpme.sourceforge.jp/) に張り替え
ました。

# ウィザードの修正

インストールウィザードで PHP の Notice が出ていたのを修正しました。
また、推奨する文字コードを EUC-JP から UTF-8 に変更しました。Shift_JIS 
は新規ユーザーでは使用禁止としました。(セキュリティに劣り、トラブルも多
いため)
作成した wp-config.php のパーミッションを 604 → 666 としました。(ユー
ザー自身で削除できるように)

# wp-db.php の改善

MySQL がバージョン 4.1 以上の場合、SET NAMES utf8 などのクエリーを発行
する処理を追加しました。(WordPress 2.2 での修正をバックポート)
wpj_wizard.php が読み込まれていないときは、英語メッセージを出すように
しました。(従来は意味不明な文字列になっていた)

# 附属プラグインのアップデート

Akismet をバージョン 2.1.4 に、wp-db-backup をバージョン 2.1.5 に更新
しました。

以上
